if ACCELERATOR == 'FLASH':
    feedbackIntegrationTicks = 50
    classifier = "flash"
    if STATION == 'FL0.DBC1':
        MOTOR_DEVNO='unis8'
    else:
        MOTOR_DEVNO='unis6'
    STORE_RATE = 360
    RING_BUFFER = 1000000
    TOROID_SAMPLES = 802

FLASH_STATIONS=[
    'FL0.UBC1',
    'FL0.DBC1',
    'FL0.UBC2',
    'FL0.DBC2',
    'FL1.SFELC',
    'FL2.SEED5',
    'FLF.MAFF'
]

MOTOR_AVAILABLE.update({
    'FL0.UBC1'    : [(0,0), (0,1), None, None],
    'FL0.DBC1'    : [(0,0), (0,1), None, None],
    'FL0.UBC2'    : [(0,0), (0,1), None, None],
    'FL0.DBC2'    : [(0,0), (0,1), None, None],
    'FL1.SFELC'   : [(0,0), None, None, None],
    'FL2.SEED5'   : [(0,0), None, None, None],
    'FLF.MAFF'    : [(0,0), None, None, None]
})

TOROID_LOCATION.update({
    'FL0.UBC1'    : '2FL0UBC1',
    'FL0.DBC1'    : '8FL0DBC1',
    'FL0.UBC2'    : '1FL0UBC2',
    'FL0.DBC2'    : '2FL0DBC2',
    'FL1.SFELC'   : '1ORS',
    'FL2.SEED5'   : '1FL2SEED4',
    'FLF.MAFF'    : '7FLFMAFF'
})

MLO_DEVICE.update(
    dict.fromkeys(FLASH_STATIONS, 'LASER.LOCK.XLO.STATUS')
)

MLO_LOCATION.update(
    dict.fromkeys(FLASH_STATIONS, 'FIN.MLO1')
)

CHARGE_SLOPE.update(
    dict.fromkeys(FLASH_STATIONS, 8600)
)

COMPRESSION_SLOPE.update(
    dict.fromkeys(FLASH_STATIONS, 0)
)

LINK_LOCATION.update({
    'FL0.UBC1'    : 'FIN.AMC6.CONTROLLER',
    'FL0.DBC1'    : 'FIN.AMC6.CONTROLLER',
    'FL0.UBC2'    : 'FIN.AMC6.CONTROLLER',
    'FL0.DBC2'    : 'FIN.AMC6.CONTROLLER',
    'FL1.SFELC'   : 'FIN.AMC9.CONTROLLER',
    'FL2.SEED5'   : 'FIN.AMC9.CONTROLLER',
    'FLF.MAFF'    : 'FIN.AMC9.CONTROLLER'
})
LINK_LOCK_NUMBER.update({
    'FL0.UBC1'  : 0,
    'FL0.DBC1'  : 1,
    'FL0.UBC2'  : 2,
    'FL0.DBC2'  : 3,
    'FL1.SFELC' : 0,
    'FL2.SEED5' : 2,
    'FLF.MAFF'  : 1
})
TIMER_LOCATION.update({
    'FL0.UBC1'    : 'SDBC1',
    'FL0.DBC1'    : 'SDBC1',
    'FL0.UBC2'    : 'SDBC2',
    'FL0.DBC2'    : 'SDBC2',
    'FL1.SFELC'   : 'SD1SFELC',
    'FL2.SEED5'   : 'SDSEED5',
    'FLF.MAFF'    : 'SD7FLFMAFF'
})
MOTOR_CONVERSION_FACTOR.update({
    'FL0.UBC1'    : [1.04230668925927, 1.04230668925927, 1.040000e+00, 1.040000e+00],
    'FL0.DBC1'    : [1.04230668925927, 1.04230668925927, 5.000000e-01, 5.000000e-01],
    'FL0.UBC2'    : [1.04230668925927, 1.04230668925927, 1.042700e+00, 1.042700e+00],
    'FL0.DBC2'    : [1.04230668925927, 1.04230668925927, 1.042700e+00, 1.042700e+00],
    'FL1.SFELC'   : [1.04230668925927, 1.042700e+00, 1.042700e+00, 1.042700e+00],
    'FL2.SEED5'   : [1.04230668925927, 1.042700e+00, 1.042700e+00, 1.042700e+00],
    'FLF.MAFF'    : [1.04230668925927, 1.042700e+00, 1.042700e+00, 1.042700e+00]
})
LONGITUDINAL_FEEDBACK_MONITORS.update({
    'FL0.UBC1'  : "MONITOR3",
    'FL0.DBC1'  : "MONITOR4",
    'FL0.UBC2'  : "MONITOR7",
    'FL0.DBC2'  : "MONITOR8",
    'FL1.SFELC' : "MONITOR11",
    'FL2.SEED5' : "MONITOR12",
    'FLF.MAFF'  : "MONITOR15",
})

BBF_LOCATION.update({
    'FL0.UBC1'  : "ACC1",
    'FL0.DBC1'  : "ACC1",
    'FL0.UBC2'  : "ACC23",
    'FL0.DBC2'  : "ACC23",
    'FL1.SFELC' : None,
    'FL2.SEED5' : None,
    'FLF.MAFF'  : None
})

# TODO: Update
BCM_LOCATION.update({
    'FL0.UBC1'  : "MONITOR5",
    'FL0.DBC1'  : "MONITOR5",
    'FL0.UBC2'  : "MONITOR5",
    'FL0.DBC2'  : "MONITOR9",
    'FL1.SFELC' : "MONITOR9",
    'FL2.SEED5' : "MONITOR13",
    'FLF.MAFF'  : "MONITOR9"
})
