if ACCELERATOR == 'XFEL':
    classifier = "xfel"
    MOTOR_DEVNO='unis8'
    TOROID_SAMPLES=3611

XFEL_STATIONS = ['47.I1', '181.B1', '203.B1', '392.B2', '414.B2', '1932M.TL', '1932S.TL']

MOTOR_AVAILABLE.update({
    '47.I1'    : [(0,0), None, None, None],
    '181.B1'   : [(0,0), None, None, None],
    '203.B1'   : [(0,0), None, None, None],
    '392.B2'   : [(0,0), None, None, None],
    '414.B2'   : [(0,0), (0,1), None, None],
    '1932M.TL' : [(0,0), None, None, None],
    '1932S.TL' : [(0,0), None, None, None]
})

TOROID_LOCATION.update({
    '47.I1'    : 'TORA.46.I1',
    '181.B1'   : 'TORA.175.B1',
    '203.B1'   : 'TORA.203.B1',
    '392.B2'   : 'TORA.387.B2',
    '414.B2'   : 'TORA.415.B2',
    '1932M.TL' : 'TORA.1865.TL',
    '1932S.TL' : 'TORA.1865.TL'
})

MLO_DEVICE.update(
    dict.fromkeys(XFEL_STATIONS,
                  'LASER.LOCK.XLO.STATUS')
)

CHARGE_SLOPE.update(
    dict.fromkeys(XFEL_STATIONS, 8600)
)

COMPRESSION_SLOPE.update(
    dict.fromkeys(XFEL_STATIONS, 0)
)

MLO_LOCATION.update({
    '47.I1'    : 'XTIN.MLO1',
    '181.B1'   : 'XTIN.MLO1',
    '203.B1'   : 'XTIN.MLO1',
    '392.B2'   : 'XTIN.MLO1',
    '414.B2'   : 'XTIN.MLO1',
    '1932M.TL' : 'XTIN.MLO1',
    '1932S.TL' : 'XHEXP1.SLO1'
})

LINK_LOCATION.update({
    '47.I1'    : 'XTIN.AMC9.CONTROLLER',
    '181.B1'   : 'XTIN.AMC6.CONTROLLER',
    '203.B1'   : 'XTIN.AMC6.CONTROLLER',
    '392.B2'   : 'XTIN.AMC6.CONTROLLER',
    '414.B2'   : 'XTIN.AMC6.CONTROLLER',
    '1932M.TL' : 'XTIN.AMC9.CONTROLLER',
    '1932S.TL' : 'XHEXP1.AMC6.CONTROLLER'
})

LINK_LOCK_NUMBER.update({
    '47.I1'    : 3,
    '181.B1'   : 0,
    '203.B1'   : 1,
    '392.B2'   : 2,
    '414.B2'   : 3,
    '1932M.TL' : 2,
    '1932S.TL' : 1
})

TIMER_LOCATION.update({
    '47.I1'    : 'SD47I1',
    '181.B1'   : 'SD181B1',
    '203.B1'   : 'SD205B1',
    '392.B2'   : 'SD392B2',
    '414.B2'   : 'SD417B2',
    '1932M.TL' : 'SD1932TL',
    '1932S.TL' : 'SD1932TL'
})

MOTOR_CONVERSION_FACTOR.update({
    '47.I1'    : [1.04230668925927, 1.04230668925927, 4.957000e-01, 4.957000e-01],
    '181.B1'   : [1.04230668925927, 1.04230668925927, 4.995900e-01, 4.995900e-01],
    '203.B1'   : [1.04230668925927, 1.04230668925927, 4.974300e-01, 4.974300e-01],
    '392.B2'   : [1.04230668925927, 1.04230668925927, 5.001000e-01, 5.001000e-01],
    '414.B2'   : [1.04230668925927, 1.04230668925927, 5.020000e-01, 5.020000e-01],
    '1932M.TL' : [1.04230668925927, 1.04230668925927, 1.042680e+00, 1.042680e+00],
    '1932S.TL' : [1.04230668925927, 1.04230668925927, 1.042680e+00, 1.042680e+00]
})

BCM_LOCATION.update({
    '47.I1'    : "MONITOR4",
    '181.B1'   : "MONITOR4",
    '203.B1'   : "MONITOR8",
    '392.B2'   : "MONITOR8",
    '414.B2'   : "MONITOR13",
    '1932M.TL' : "MONITOR13",
    '1932S.TL' : "MONITOR13"
})

LONGITUDINAL_FEEDBACK_MONITORS.update({
    '47.I1'    : "MONITOR2",
    '181.B1'   : "MONITOR5",
    '203.B1'   : "MONITOR9",
    '392.B2'   : "MONITOR10",
    '414.B2'   : "MONITOR14",
    '1932M.TL' : "MONITOR16",
    '1932S.TL' : "MONITOR16"
})

BBF_LOCATION.update({
    '47.I1'    : None,
    '181.B1'   : "A1.I1",
    '203.B1'   : "A2.L1",
    '392.B2'   : None,
    '414.B2'   : "A5.L2",
    '1932M.TL' : None,
    '1932S.TL' : None
})
